Traffic Source Rate Limiters

Manage reusable rate limit configurations for traffic sources.

GET /traffic_source_rate_limiters

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/traffic_source_rate_limiters

List all traffic source rate limiters.

Lists the reusable rate limit configurations that can be attached to traffic sources to cap how many leads or calls they can send in a given period.

Params

Param name Description
ids
Optional

Return records matching these ids.

  • Must be an array of decimal values. EG: [0, 1, 2, 3]

page
Optional

Return the next page of results.

  • Must be a number.

per_page
Optional

How many results to return per page. The default is 25.

  • Must be a number.

created_at_to
Optional

Date formatted like 2016-01-01 12:25:15 -0500

  • Must be a String

created_at_from
Optional

Date formatted like 2016-01-01 12:25:15 -0500

  • Must be a String

fulltext
Optional

Search for any record that matches this text

  • Must be a String

time_zone
Optional

Date ranges will be parsed using this time zone.

columns
Optional
Specify the columns you would like returned by the API for a given resource. Limiting the columns can significantly increase API response time since only the requested data will be processed. columns=uuid,number,created_at

Must be any combination of:

  • id
  • legacy_id
  • type
  • uuid
  • created_at
  • updated_at
  • deleted_at
  • user_updated_at
  • routes_show_path
  • routes_edit_path
  • external_record_id
  • company_id
  • name
  • description
  • traffic_source_rate_limits_count
  • Must be a String

root
Optional

Pass root=false to return results without a root node and metadata.
For example:
GET /api/v1/calls?root=false will return [call1, call2, call3]
While:
GET /api/v1/calls will return {calls: [call1, call2, call3], metadata: {}}

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

GET /traffic_source_rate_limiters/new

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/traffic_source_rate_limiters/new

Build a new traffic source rate limiter.

Builds a new traffic source rate limiter with default attributes without saving it.

Params

Param name Description
name
Optional Blank value allowed

Name

  • Must be a String

description
Optional Blank value allowed

Description

  • Must be a String

POST /traffic_source_rate_limiters

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/traffic_source_rate_limiters

Create a traffic source rate limiter.

Creates a reusable rate limiter configuration, with a name and description, that can later be attached to one or more traffic sources.

Params

Param name Description
name
Required

Name

  • Must be a String

description
Optional Blank value allowed

Description

  • Must be a String

GET /traffic_source_rate_limiters/:id

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/traffic_source_rate_limiters/:id

Show a traffic source rate limiter.

Retrieves a traffic source rate limiter by id.

PUT /traffic_source_rate_limiters/:id

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/traffic_source_rate_limiters/:id

Update a traffic source rate limiter.

Updates a rate limiter's name or description.

Params

Param name Description
name
Optional Blank value allowed

Name

  • Must be a String

description
Optional Blank value allowed

Description

  • Must be a String

DELETE /traffic_source_rate_limiters/:id

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/traffic_source_rate_limiters/:id

Delete a traffic source rate limiter.

Deletes a rate limiter configuration.